# $Revision: 1.4 $, $Date: 2011/03/31 18:11:42 $
Summary:	a system performance benchmark
Name:		sysbench
Version:	0.4.12
Release:	3
License:	GPL
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/sysbench/%{name}-%{version}.tar.gz
# Source0-md5:	3a6d54fdd3fe002328e4458206392b9d
URL:		http://sysbench.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SysBench is a modular, cross-platform and multi-threaded benchmark
tool for evaluating OS parameters that are important for a system
running a database under intensive load.

The idea of this benchmark suite is to quickly get an impression about
system performance without setting up complex database benchmarks or
even without installing a database at all. Current features allow to
test the following system parameters:
- file I/O performance
- scheduler performance
- memory allocation and transfer speed
- POSIX threads implementation performance
- database server performance (OLTP benchmark)

Primarily written for MySQL server benchmarking, SysBench will be
further extended to support multiple database backends, distributed
benchmarks and third-party plug-in modules.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-mysql \
	--with-pgsql
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO doc/manual.html
%attr(755,root,root) %{_bindir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sysbench.spec,v $
Revision 1.4  2011/03/31 18:11:42  arekm
- release 3

Revision 1.3  2011/01/31 08:52:52  arekm
- release 2

Revision 1.2  2010/05/30 13:06:06  arvenil
- up to 0.4.12
- added autotools

Revision 1.1  2008/08/12 06:29:20  arekm
- initial
